﻿#language: ru

Функционал: 12_oper_planning. Создание документа Заявка на производство

Сценарий: 12_oper_planning. Создание документа Заявка на производство
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Планирование' 'Заявки на производство'
	Тогда открылось окно 'Заявки на производство'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заявка на производство (создание)'
	И я запоминаю значение выражения 'ТекущаяДата()+15552000' в переменную "ДатаЗаявки"
	И в поле 'Дата задания' я ввожу значение переменной "ДатаЗаявки"
	И из выпадающего списка "Вид заявки" я выбираю точное значение 'Производство'
	И я перехожу к закладке "Продукция"
	И я удаляю все строки таблицы "Продукция"
	И в таблице "Продукция" я нажимаю на кнопку с именем 'ПродукцияДобавить'
	И в таблице "Продукция" я нажимаю кнопку выбора у реквизита с именем "ПродукцияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     |
		| 'oper_planning_Сливочный 45% 300г' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на производство (создание) *'
	И в таблице "Продукция" в поле с именем 'ПродукцияКоличество' я ввожу текст '500,000'
	И в таблице "Продукция" я нажимаю на кнопку с именем 'ПродукцияДобавить'
	И в таблице "Продукция" я нажимаю кнопку выбора у реквизита с именем "ПродукцияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                     |
		| 'oper_planning_Сливочный 45% 200г' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на производство (создание) *'
	И в таблице "Продукция" в поле с именем 'ПродукцияКоличество' я ввожу текст '300,000'
	И в таблице "Продукция" я нажимаю на кнопку с именем 'ПродукцияДобавить'
	И в таблице "Продукция" я нажимаю кнопку выбора у реквизита с именем "ПродукцияНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                      |
		| 'oper_planning_Российский 50% 300г' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на производство (создание) *'
	И в таблице "Продукция" в поле с именем 'ПродукцияКоличество' я ввожу текст '400,000'
	И в таблице "Продукция" я нажимаю на кнопку 'Заполнить сырье'
	И я перехожу к закладке "Сырье"
	И таблица "Сырье" стала равной:
		| 'N' | 'Спецификация'                             | 'Количество' | 'Номенклатура'                 | 'Характеристика'    | 'Серия' | 'Дата выпуска' | 'Запуск' | 'Волна' |
		| '1' | 'oper_planning_Сливочный 45% резка 300 г'  | '150,015'    | 'oper_planning_Сливочный 45%'  | '<не используются>' | ''      | ''             | ''       | ''      |
		| '2' | 'oper_planning_Сливочный 45% резка 200 г'  | '60,000'     | 'oper_planning_Сливочный 45%'  | '<не используются>' | ''      | ''             | ''       | ''      |
		| '3' | 'oper_planning_Российский 50% резка 300 г' | '120,012'    | 'oper_planning_Российский 50%' | '<не используются>' | ''      | ''             | ''       | ''      |
	И я перехожу к закладке "Дополнительно"
	И я нажимаю кнопку выбора у поля "Подразделение"
	Тогда открылось окно 'Подразделения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Заявка на производство (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	Тогда открылось окно 'Заявки на производство'
	И Я закрываю окно 'Заявки на производство'
